osl::PtypeTraits< KING > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Public Attributes | List of all members
osl::PtypeTraits< KING > Struct Template Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions
static const char * | name ()
static const char * | csaName ()

## Static Public Attributes
static const bool | isBasic =true
static const bool | canPromote =false
static const bool | betterToPromote =false
static const Ptype | moveType =KING
static const Ptype | basicType =KING
static const int | indexMin =30
static const int | indexLimit =32
static const int | dropBlackFromY =1
static const int | dropBlackToY =9
static const int | moveMask

## Detailed Description

### template<>
struct osl::PtypeTraits< KING >

Definition at line 272 of file ptypeTraits.h.

## Member Function Documentation

static const char* osl::PtypeTraits< KING >::csaName | ( | ) |  |
| inlinestatic

Definition at line 280 of file ptypeTraits.h.

static const char* osl::PtypeTraits< KING >::name | ( | ) |  |
| inlinestatic

Definition at line 279 of file ptypeTraits.h.

## Member Data Documentation

const Ptype osl::PtypeTraits< KING >::basicType =KING
| static

Definition at line 278 of file ptypeTraits.h.

const bool osl::PtypeTraits< KING >::betterToPromote =false
| static

Definition at line 276 of file ptypeTraits.h.

const bool osl::PtypeTraits< KING >::canPromote =false
| static

Definition at line 275 of file ptypeTraits.h.

const int osl::PtypeTraits< KING >::dropBlackFromY =1
| static

Definition at line 283 of file ptypeTraits.h.

const int osl::PtypeTraits< KING >::dropBlackToY =9
| static

Definition at line 284 of file ptypeTraits.h.

const int osl::PtypeTraits< KING >::indexLimit =32
| static

Definition at line 282 of file ptypeTraits.h.

const int osl::PtypeTraits< KING >::indexMin =30
| static

Definition at line 281 of file ptypeTraits.h.

const bool osl::PtypeTraits< KING >::isBasic =true
| static

Definition at line 274 of file ptypeTraits.h.

const int osl::PtypeTraits< KING >::moveMask
| static

Initial value:
=
DirectionTraits<U>::mask|DirectionTraits<L>::mask
|DirectionTraits<R>::mask|DirectionTraits<D>::mask
|DirectionTraits<UL>::mask|DirectionTraits<UR>::mask
|DirectionTraits<DL>::mask|DirectionTraits<DR>::mask

Definition at line 285 of file ptypeTraits.h.

const Ptype osl::PtypeTraits< KING >::moveType =KING
| static

Definition at line 277 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h